Addon = Inspect.Addon.Detail(Inspect.Addon.Current())
RaidExtension = {
	Data = {
		Units = {},
		UnitList = {},
		BuffList = {
			["Blunt Spikes"] 		= { category = "enchant", description = "Deals 16 damage when block", quality = 2 },
			["Sharp Spikes"] 		= { category = "enchant", description = "Deals 23 damage when block", quality = 2 },
			["Razor-Sharp Spikes"] 		= { category = "enchant", description = "Deals 29 damage when block", quality = 2 },
			["Ancient Razor-Sharp Spikes"] 	= { category = "enchant", description = "Deals 29 damage when block", quality = 2 },
			["Barbed Spikes"]		= { category = "enchant", description = "Deals 100 damage when block", quality = 2 },
			["Serrated Spikes"] 		= { category = "enchant", description = "Deals 150 damage when block", quality = 2 },
			["Stingray Spikes"] 		= { category = "enchant", description = "Deals 300 damage when block", quality = 2 },

			["Thin Armor Plating"] 		= { category = "enchant", description = "+109 Armor", quality = 2 },
			["Medium Armor Plating"] 	= { category = "enchant", description = "+208 Armor", quality = 2 },
			["Heavy Armor Plating"] 	= { category = "enchant", description = "+306 Armor", quality = 2 },
			["Thick Armor Plating"] 	= { category = "enchant", description = "+405 Armor", quality = 2 },
			["Ancient Thick Armor Plating"] = { category = "enchant", description = "+405 Armor", quality = 2 },
			["Hardened Armor Plating"]	= { category = "enchant", description = "+695 Armor", quality = 2 },
			["Crustacean Armor Plating"]	= { category = "enchant", description = "+963 Armor", quality = 2 },

			["Crude Whetstone"] 		= { category = "enchant", description = "+15 Attack Power", quality = 2, value = 15, short = "AP" },
			["Coarse Whetstone"] 		= { category = "enchant", description = "+25 Attack Power", quality = 2, value = 25, short = "AP" },
			["Fine Whetstone"] 		= { category = "enchant", description = "+35 Attack Power", quality = 2, value = 35, short = "AP" },
			["Exquisite Whetstone"] 	= { category = "enchant", description = "+50 Attack Power", quality = 2, value = 50, short = "AP" },
			["Ancient Exquisite Whetstone"] = { category = "enchant", description = "+50 Attack Power", quality = 2, value = 50, short = "AP" },
			["Remarkable Whetstone"]	= { category = "enchant", description = "+100 Attack Power", quality = 2, value = 100, short = "AP" },
			["Exceptional Whetstone"]	= { category = "enchant", description = "+125 Attack Power", quality = 2, value = 125, short = "AP" },
			["Coral Whetstone"]		= { category = "enchant", description = "+175 Attack Power", quality = 1, value = 175, short = "AP" },

			["Crude Oilstone"] 		= { category = "enchant", description = "+25 Attack Power", quality = 2, value = 25, short = "AP" },
			["Coarse Oilstone"] 		= { category = "enchant", description = "+50 Attack Power", quality = 2, value = 50, short = "AP" },
			["Fine Oilstone"] 		= { category = "enchant", description = "+75 Attack Power", quality = 2, value = 75, short = "AP" },
			["Exquisite Oilstone"] 		= { category = "enchant", description = "+100 Attack Power", quality = 2, value = 100, short = "AP" },
			["Ancient Exquisite Oilstone"] 	= { category = "enchant", description = "+100 Attack Power", quality = 2, value = 100, short = "AP" },
			["Remarkable Oilstone"]		= { category = "enchant", description = "+200 Attack Power", quality = 2, value = 200, short = "AP" },
			["Exceptional Oilstone"]	= { category = "enchant", description = "+250 Attack Power", quality = 2, value = 250, short = "AP" },
			["Coral Oilstone"]		= { category = "enchant", description = "+350 Attack Power", quality = 1, value = 350, short = "AP" },

			["Glowing Powerstone"] 		= { category = "enchant", description = "+25 Spell Power", quality = 2, value = 25, short = "SP" },
			["Pulsing Powerstone"] 		= { category = "enchant", description = "+50 Spell Power", quality = 2, value = 50, short = "SP" },
			["Sparkling Powerstone"] 	= { category = "enchant", description = "+75 Spell Power", quality = 2, value = 75, short = "SP" },
			["Burning Powerstone"] 		= { category = "enchant", description = "+100 Spell Power", quality = 2, value = 100, short = "SP" },
			["Ancient Burning Powerstone"] 	= { category = "enchant", description = "+100 Spell Power", quality = 2, value = 100, short = "SP" },
			["Luminescent Powerstone"] 	= { category = "enchant", description = "+200 Spell Power", quality = 2, value = 200, short = "SP" },
			["Coruscating Powerstone"] 	= { category = "enchant", description = "+250 Spell Power", quality = 2, value = 250, short = "SP" },
			["Pelagic Powerstone"] 		= { category = "enchant", description = "+350 Spell Power", quality = 1, value = 350, short = "SP" },

			["Heavy Weaponstone"] 		= { category = "enchant", description = "+177 Physical Crit damage", quality = 2 },
			["Mighty Weaponstone"] 		= { category = "enchant", description = "+249 Physical Crit damage", quality = 2 },
			["Massive Weaponstone"] 	= { category = "enchant", description = "+311 Physical Crit damage", quality = 2 },
			["Ancient Massive Weaponstone"] = { category = "enchant", description = "+311 Physical Crit damage", quality = 2 },
			["Remarkable Weaponstone"]	= { category = "enchant", description = "+600 Physical Crit damage", quality = 2 },
			["Coral Weaponstone"]		= { category = "enchant", description = "+900 Physical Crit damage", quality = 2 },

			["Pulsing Witchstone"] 		= { category = "enchant", description = "+177 Spell Crit damage", quality = 2 },
			["Sparkling Witchstone"] 	= { category = "enchant", description = "+249 Spell Crit damage", quality = 2 },
			["Burning Witchstone"] 		= { category = "enchant", description = "+311 Spell Crit damage", quality = 2 },
			["Ancient Burning Witchstone"] 	= { category = "enchant", description = "+311 Spell Crit damage", quality = 2 },
			["Luminescent Witchstone"] 	= { category = "enchant", description = "+600 Spell Crit damage", quality = 2 },
			["Pelagic Witchstone"] 		= { category = "enchant", description = "+900 Spell Crit damage", quality = 2 },

			["Glowing Manastone"] 		= { category = "enchant", description = "+100 Maximum Mana", quality = 2 },
			["Pulsing Manastone"] 		= { category = "enchant", description = "+200 Maximum Mana", quality = 2 },
			["Sparkling Manastone"] 	= { category = "enchant", description = "+250 Maximum Mana", quality = 2 },
			["Burning Manastone"] 		= { category = "enchant", description = "+300 Maximum Mana", quality = 2 },
			["Ancient Burning Manastone"] 	= { category = "enchant", description = "+300 Maximum Mana", quality = 2 },
			["Luminescent Manastone"] 	= { category = "enchant", description = "+380 Maximum Mana", quality = 2 },
			["Pelagic Manastone"] 		= { category = "enchant", description = "+500 Maximum Mana", quality = 2 },

			["Sparkling Spellstone"] 	= { category = "enchant", description = "Reduces duration of silence 1s", quality = 2 },
			["Burning Spellstone"] 		= { category = "enchant", description = "Reduces duration of silence 2s", quality = 2 },
			["Luminescent Spellstone"] 	= { category = "enchant", description = "Reduces duration of silence 3s", quality = 2 },
			["Pelagic Spellstone"] 		= { category = "enchant", description = "Reduces duration of debilitate 1s", quality = 2 },
			["Sticky Grips"]		= { category = "enchant", description = "Reduces duration of disarm 1s", quality = 2 },
			["Extra Sticky Grips"]		= { category = "enchant", description = "Reduces duration of disarm 2s", quality = 2 },
			["Super Sticky Grips"]		= { category = "enchant", description = "Reduces duration of disarm 3s", quality = 2 },
			["Byssal Grips"] 		= { category = "enchant", description = "Reduces duration of debilitate 1s", quality = 2 },

			["Tough Riding Chaps"]		= { category = "enchant", description = "Increases mounted speed 2%", quality = 2 },
			["Heavy Riding Chaps"]		= { category = "enchant", description = "Increases mounted speed 3%", quality = 2 },
			["Durable Riding Chaps"]	= { category = "enchant", description = "Increases mounted speed 4%", quality = 2 },
			["Lightweight Riding Chaps"]	= { category = "enchant", description = "Increases mounted speed 5%", quality = 2 },
			["Comfortable Riding Chaps"]	= { category = "enchant", description = "Increases mounted speed 10%", quality = 2 },
			["Sharkskin Chaps"]		= { category = "enchant", description = "Increases mounted speed 11%", quality = 2 },

			["Thin Insoles"]		= { category = "enchant", description = "Increases runspeed 2%", quality = 2 },
			["Padded Insoles"]		= { category = "enchant", description = "Increases runspeed 3%", quality = 2 },
			["Cushioned Insoles"]		= { category = "enchant", description = "Increases runspeed 4%", quality = 2 },
			["Performance Insoles"]		= { category = "enchant", description = "Increases runspeed 5%", quality = 2 },
			["Comfortable Insoles"]		= { category = "enchant", description = "Increases runspeed 10%", quality = 2 },
			["Exceptional Insoles"]		= { category = "enchant", description = "Increases runspeed 12%", quality = 2 },
			["Spongy Insoles"]		= { category = "enchant", description = "Increases runspeed 13%", quality = 2 },

			["Sticky Coating"] 		= { category = "enchant", description = "Ranged attacks snare target", quality = 2 },
			["Poisonous Coating"] 		= { category = "enchant", description = "Ranged attacks poison target", quality = 2 },
			["Noise Canceling Coating"] 	= { category = "enchant", description = "Ranged attacks silence target", quality = 2 },

			["Storm Glyph"] 		= { category = "enchant", description = "+30 Strength", quality = 2, value = 30, short = "STR" },
			["Lightning Glyph"] 		= { category = "enchant", description = "+30 Dexterity", quality = 2, value = 30, short = "DEX" },
			["Wind Glyph"] 			= { category = "enchant", description = "+30 Wisdom", quality = 2, value = 30, short = "WSD" },
			["Thunder Glyph"] 		= { category = "enchant", description = "+30 Intelligence", quality = 2, value = 30, short = "INT" },
			["Razor Edge"] 			= { category = "enchant", description = "+40 Attack Power", quality = 2, value = 40, short = "AP" },
			["Keen Edge"] 			= { category = "enchant", description = "+80 Attack Power", quality = 2, value = 80, short = "AP" },
			["Flaring Glyph"] 		= { category = "enchant", description = "+80 Spell Power", quality = 2, value = 80, short = "SP" },
			["Baneful Blade"] 		= { category = "enchant", description = "+125 Physical Crit damage", quality = 2 },
			["Shimmering Glyph"] 		= { category = "enchant", description = "+249 Spell Crit damage", quality = 2 },
			["Barbed Blade"] 		= { category = "enchant", description = "Deals 23 damage when deflect", quality = 2 },
			["Earthen Shards"] 		= { category = "enchant", description = "Deals 23 damage when block", quality = 2 },
			["Vampiric Essence"] 		= { category = "enchant", description = "Return damage in healing", quality = 2 },
			["Weapon Guard"] 		= { category = "enchant", description = "Reduces the duration of disarm", quality = 2 },
			["Icy Glyph"] 			= { category = "enchant", description = "+280 Maximum Mana", quality = 2 },
			["Shielding Glyph"] 		= { category = "enchant", description = "Shield up to 300 damage", quality = 2 },

			["Storm Sigil"] 		= { category = "enchant", description = "+60 Strength", quality = 2, value = 60, short = "STR" },
			["Lightning Sigil"] 		= { category = "enchant", description = "+60 Dexterity", quality = 2, value = 60, short = "DEX" },
			["Wind Sigil"] 			= { category = "enchant", description = "+60 Wisdom", quality = 2, value = 60, short = "WSD" },
			["Thunder Sigil"] 		= { category = "enchant", description = "+60 Intelligence", quality = 2, value = 60, short = "INT" },
			["Honed Edge"] 			= { category = "enchant", description = "+80 Attack Power", quality = 2, value = 80, short = "AP" },
			["Planar Edge"] 		= { category = "enchant", description = "+160 Attack Power", quality = 2, value = 160, short = "AP" },
			["Flaring Sigil"] 		= { category = "enchant", description = "+160 Spell Power", quality = 2, value = 160, short = "SP" },
			["Ruthless Blade"] 		= { category = "enchant", description = "+250 Physical Crit damage", quality = 2 },
			["Shimmering Sigil"] 		= { category = "enchant", description = "+500 Spell Crit damage", quality = 2 },
			["Jugged Blade"] 		= { category = "enchant", description = "Deals 40 damage when deflect", quality = 2 },
			["Earthen Barbs"] 		= { category = "enchant", description = "Deals 80 damage when block", quality = 2 },
			["Weapon Shield"] 		= { category = "enchant", description = "Reduces the duration of disarm", quality = 2 },
			["Icy Sigil"] 			= { category = "enchant", description = "+ Maximum Mana", quality = 2 },
			["Shielding Sigil"] 		= { category = "enchant", description = "Shield up to 800 damage", quality = 2 },

			["Hot and Sour Brisket"] 	= { category = "food", description = "+61 AP, +65 AC", value = 61, quality = 2 },
			["Sea Pea Porridge"] 		= { category = "food", description = "+1975 HP, +110 Block", value = 1975, quality = 1 },
			["Atragarian Remora"] 		= { category = "food", description = "+1500 HP, +60 Guard", value = 1500, quality = 1 },
			["Fish Sausage"] 		= { category = "food", description = "+61 SP, +65 SC", value = 61, quality = 2 },
			["Remora Strips"] 		= { category = "food", description = "+75 AP", value = 75, quality = 2 },
			["Seared Brisket"] 		= { category = "food", description = "+75 SP", value = 75, quality = 2 },
			["Manta Wings"] 		= { category = "food", description = "+1115 HP", value = 1115, quality = 2 },
			["Choice Roast"] 		= { category = "food", description = "+42 Dodge", value = 42, quality = 2 },
			["Kraken Hors D'oeuvres"] 	= { category = "food", description = "+42 Block, +1025 HP", value = 42, quality = 2 },
			["Stuffed Mushrooms"] 		= { category = "food", description = "+42 Deflect, +1025 HP", value = 42, quality = 2 },
			["Sun Soup"] 			= { category = "food", description = "+31 SP, +385 Mana", value = 31, quality = 2 },
			["Aged Eel"] 			= { category = "food", description = "+31 AP, +67 AC", value = 31, quality = 2 },
			["Chilled Octopus"] 		= { category = "food", description = "+31 SP, +67 SC", value = 31, quality = 2 },
			["Pondleaper in Gravy"] 	= { category = "food", description = "+57 SC", value = 57, quality = 2 },
			["Prime Flycatcher"] 		= { category = "food", description = "+41 AP, +902 HP", value = 41, quality = 2 },
			["Sharpfin Chops"] 		= { category = "food", description = "+41 SP, +902 HP", value = 41, quality = 2 },
			["Barbarian's Delight"] 	= { category = "food", description = "+57 AC", value = 57, quality = 2 },
			["Fish Hot Pot"] 		= { category = "food", description = "+31 SP", value = 31, quality = 2 },
			["Octopus Broth"] 		= { category = "food", description = "+31 AP", value = 31, quality = 2 },
			["Liver and Vegetables"] 	= { category = "food", description = "+16 Parry", value = 16, quality = 2 },
			["Snapper Jerky"] 		= { category = "food", description = "+23 SP, +217 HP", value = 23, quality = 2 },
			["Eel Fillet"] 			= { category = "food", description = "+6 AP, +39 AC", value = 6, quality = 2 },
			["Pome Ambrosia"] 		= { category = "food", description = "+6 SP, +39 SC", value = 6, quality = 2 },
			["Jellied Ray"] 		= { category = "food", description = "+12 SP, +571 Mana", value = 12, quality = 2 },
			["Kelari Spicy Pome"] 		= { category = "food", description = "+14 Deflect, +815 HP", value = 14, quality = 2 },
			["Ember Steak"] 		= { category = "food", description = "+16 Dodge/Parry, +435 HP", value = 16, quality = 2 },
			["Dwarven Goulash"] 		= { category = "food", description = "+14 Block, +815 HP", value = 14, quality = 2 },
			["Steamed Octopus"] 		= { category = "food", description = "+18 AP", value = 18, quality = 2 },
			["Shimmersand Gumbo"] 		= { category = "food", description = "+305 Mana", value = 305, quality = 2 },
			["Bacon Rolls"] 		= { category = "food", description = "+23 AP, +217 HP", value = 23, quality = 2 },
			["Blue Steak"] 			= { category = "food", description = "+26 AC, +100 HP", value = 26, quality = 2 },
			["Brine-Boiled Crab"] 		= { category = "food", description = "+16 Dodge", value = 16, quality = 2 },
			["Lobster Dumplings"] 		= { category = "food", description = "+17 AC", value = 17, quality = 2 },
			["Meat Pie"] 			= { category = "food", description = "+152 Mana, +217 HP", value = 152, quality = 2 },
			["Baked Mangler"] 		= { category = "food", description = "+16 Parry", value = 16, quality = 2 },
			["Widemouth Sashimi"] 		= { category = "food", description = "+16 Dodge, +217 HP", value = 16, quality = 2 },
			["Fried Octopus"] 		= { category = "food", description = "+26 SC, +100 HP", value = 26, quality = 2 },
			["Flatfish Kabobs"] 		= { category = "food", description = "+12 SP", value = 12, quality = 2 },
			["Blenny Fillet"] 		= { category = "food", description = "+217 HP", value = 217, quality = 2 },
			["Roast Rockfish"] 		= { category = "food", description = "+7 Block", value = 7, quality = 2 },
			["Delectable Creeper Tail"] 	= { category = "food", description = "+9 SC", value = 9, quality = 2 },
			["Speedy Shark Snack"] 		= { category = "food", description = "Run Speed +10%", value = 10, quality = 2 },
			["False Shark Soup"] 		= { category = "food", description = "+6 AP", value = 6, quality = 2 },
			["Widemouth Salad Sandwich"] 	= { category = "food", description = "+100 HP", value = 100, quality = 2 },

			["Feast of the Ghar"]		= { category = "food", description = "+75 AP/SP, +45 CP, +1500 HP", value = 75, quality = 1 },
			["Feast of Domination"]		= { category = "food", description = "+41 AP/SP, +43 CP, +975 HP", value = 41, quality = 2 },
			["Feast of Vengeance"] 		= { category = "food", description = "+41 AP/SP, +43 CP, +975 HP", value = 41, quality = 2 },
			["Feast of Cooperation"] 	= { category = "food", description = "+27 AP/SP, +435 HP", value = 27, quality = 2 },
			["Feast of Efficacy"] 		= { category = "food", description = "+23 AP, +217 HP", value = 23, quality = 2 },
			["Feast of Aptitude"] 		= { category = "food", description = "+23 SP, +217 HP", value = 23, quality = 2 },

			["Farclan Cherry Cake"]		= { category = "food", description = "+20 Spell Power", value = 20, quality = 2 },
			["Drake Filet"] 		= { category = "food", description = "+10 Spell Power", value = 10, quality = 2 },
			["Farclan Chocolate Cake"] 	= { category = "food", description = "+20 Attack Power", value = 20, quality = 2 },
			["Icewatch Cupcake"] 		= { category = "food", description = "+10 Attack Power", value = 10, quality = 2 },
			["Gravemaker Steak"] 		= { category = "food", description = "+10 Endurance", value = 10, quality = 2 },

			["Excellent Vial of Air Resistance"] 	= { category = "vial", description = "+60 Air Resistance", quality = 2, value = 60, resistance = "resistAir" },
			["Excellent Vial of Death Resistance"] 	= { category = "vial", description = "+60 Death Resistance", quality = 2, value = 60, resistance = "resistDeath" },
			["Excellent Vial of Earth Resistance"] 	= { category = "vial", description = "+60 Earth Resistance", quality = 2, value = 60, resistance = "resistEarth" },
			["Excellent Vial of Fire Resistance"] 	= { category = "vial", description = "+60 Fire Resistance", quality = 2, value = 60, resistance = "resistFire" },
			["Excellent Vial of Life Resistance"] 	= { category = "vial", description = "+60 Life Resistance", quality = 2, value = 60, resistance = "resistLife" },
			["Excellent Vial of Water Resistance"] 	= { category = "vial", description = "+60 Water Resistance", quality = 2, value = 60, resistance = "resistWater" },
			["Vial of Air Resistance"] 	= { category = "vial", description = "+40 Air Resistance", quality = 2, value = 40, resistance = "resistAir" },
			["Vial of Death Resistance"] 	= { category = "vial", description = "+40 Death Resistance", quality = 2, value = 40, resistance = "resistDeath" },
			["Vial of Earth Resistance"] 	= { category = "vial", description = "+40 Earth Resistance", quality = 2, value = 40, resistance = "resistEarth" },
			["Vial of Fire Resistance"] 	= { category = "vial", description = "+40 Fire Resistance", quality = 2, value = 40, resistance = "resistFire" },
			["Vial of Life Resistance"] 	= { category = "vial", description = "+40 Life Resistance", quality = 2, value = 40, resistance = "resistLife" },
			["Vial of Water Resistance"] 	= { category = "vial", description = "+40 Water Resistance", quality = 2, value = 40, resistance = "resistWater" },

			["Phenomenal Prismatic Wellspring"] 		= { category = "vial", description = "+418 All Resistance", quality = 2, value = 115, resistance = "resist" },
			["Prime Prismatic Wellspring"] 			= { category = "vial", description = "+115 All Resistance", quality = 2, value = 115, resistance = "resist" },
			["Stellar Prismatic Wellspring"] 		= { category = "vial", description = "+91 All Resistance", quality = 2, value = 91, resistance = "resist" },
			["Stellar Wellspring of Air Resistance"] 	= { category = "vial", description = "+91 Air Resistance", quality = 2, value = 91, resistance = "resistAir" },
			["Stellar Wellspring of Death Resistance"] 	= { category = "vial", description = "+91 Death Resistance", quality = 2, value = 91, resistance = "resistDeath" },
			["Stellar Wellspring of Earth Resistance"] 	= { category = "vial", description = "+91 Earth Resistance", quality = 2, value = 91, resistance = "resistEarth" },
			["Stellar Wellspring of Fire Resistance"] 	= { category = "vial", description = "+91 Fire Resistance", quality = 2, value = 91, resistance = "resistFire" },
			["Stellar Wellspring of Life Resistance"] 	= { category = "vial", description = "+91 Life Resistance", quality = 2, value = 91, resistance = "resistLife" },
			["Stellar Wellspring of Water Resistance"] 	= { category = "vial", description = "+91 Water Resistance", quality = 2, value = 91, resistance = "resistWater" },

			["Phenomenal Powersurge Vial"] 	= { category = "vial", description = "+216 Strength / Dexterity", quality = 1, value = 216 },
			["Phenomenal Brightsurge Vial"] = { category = "vial", description = "+216 Intelligence / Wisdom", quality = 1, value = 216 },
			["Phenomenal Enduring Vial"] 	= { category = "vial", description = "+216 Endurance", quality = 1, value = 216 },
			["Phenomenal Fortified Vial"] 	= { category = "vial", description = "+9255 Armor", quality = 1, value = 9255 },

			["Prime Powersurge Vial"] 	= { category = "vial", description = "+60 Strength / Dexterity", quality = 2, value = 60 },
			["Prime Brightsurge Vial"] 	= { category = "vial", description = "+60 Intelligence / Wisdom", quality = 2, value = 60 },
			["Prime Enduring Vial"] 	= { category = "vial", description = "+65 Endurance", quality = 2, value = 65 },
			["Prime Fortified Vial"] 	= { category = "vial", description = "+3085 Armor", quality = 2, value = 3085 },

			["Stellar Powersurge Vial"] 	= { category = "vial", description = "+55 Strength / Dexterity", quality = 2, value = 55 },
			["Stellar Brightsurge Vial"] 	= { category = "vial", description = "+55 Intelligence / Wisdom", quality = 2, value = 55 },
			["Stellar Manasurge Vial"] 	= { category = "vial", description = "+384 Mana", quality = 2, value = 384 },
			["Stellar Enduring Vial"] 	= { category = "vial", description = "+60 Endurance", quality = 2, value = 60 },
			["Stellar Fortified Vial"] 	= { category = "vial", description = "+2305 Armor", quality = 2, value = 2305 },

			["Excellent Powersurge Vial"] 	= { category = "vial", description = "+50 Strength / Dexterity", quality = 2, value = 50 },
			["Excellent Brightsurge Vial"] 	= { category = "vial", description = "+50 Intelligence / Wisdom", quality = 2, value = 50 },
			["Excellent Manasurge Vial"] 	= { category = "vial", description = "+367 Mana", quality = 2, value = 367 },
			["Excellent Enduring Vial"] 	= { category = "vial", description = "+55 Endurance", quality = 2, value = 55 },
			["Excellent Fortified Vial"] 	= { category = "vial", description = "+1525 Armor", quality = 2, value = 1525 },

			["Heroic Powersurge Vial"] 	= { category = "vial", description = "+40 Strength / Dexterity", quality = 2, value = 40 },
			["Heroic Brightsurge Vial"] 	= { category = "vial", description = "+40 Intelligence / Wisdom", quality = 2, value = 40 },
			["Heroic Manasurge Vial"] 	= { category = "vial", description = "+285 Mana", quality = 2, value = 285 },
			["Heroic Enduring Vial"] 	= { category = "vial", description = "+40 Endurance", quality = 2, value = 40 },
			["Heroic Fortified Vial"] 	= { category = "vial", description = "+504 Armor", quality = 2, value = 504 },

			["Mighty Powersurge Vial"] 	= { category = "vial", description = "+35 Strength / Dexterity", quality = 2, value = 35 },
			["Mighty Brightsurge Vial"] 	= { category = "vial", description = "+35 Intelligence / Wisdom", quality = 2, value = 35 },
			["Mighty Manasurge Vial"] 	= { category = "vial", description = "+198 Mana", quality = 2, value = 198 },
			["Mighty Enduring Vial"] 	= { category = "vial", description = "+35 Endurance", quality = 2, value = 35 },
			["Mighty Fortified Vial"] 	= { category = "vial", description = "+455 Armor", quality = 2, value = 455 },
		}
	},
	AE = {
		Command = "re",
		UI = {},
		UpdateTimer = 0,
		Visible = false,
		ColumnSelected = 1,

		Resistance = {"resistEarth", "resistAir", "resistFire", "resistWater", "resistLife", "resistDeath"},
		Roles = {tank = "Tank", heal = "Heal", dps = "Damage", support = "Support"},
		Classes = {"", "Warrior", "Rogue", "Cleric", "Mage"},
		Tooltip = { stats = {
			{pos = 0, caption = "Health", field = "props.health"}, 
			{pos = 20, caption = "Mana", field = "props.mana", class = {false, false, true, true}}, 
			{pos = 50, caption = "Strength", field = "data.stats.strength", class = {true, true, false, false}}, 
			{pos = 70, caption = "Dexterity", field = "data.stats.dexterity", class = {true, true, false, false}}, 
			{pos = 50, caption = "Intelligence", field = "data.stats.intelligence", class = {false, false, true, true}}, 
			{pos = 70, caption = "Wisdom", field = "data.stats.wisdom", class = {false, false, true, true}}, 
			{pos = 90, caption = "Endurance", field = "data.stats.endurance"}, 
			{pos = 118},
			{pos = 130, caption = "Armor", field = "data.stats.armor"}, 
			{pos = 150, caption = "Block", field = "data.stats.block"}, 
			{pos = 170, caption = "Dodge", field = "data.stats.dodge"}, 
			{pos = 190, caption = "Guard", field = "data.stats.guard"}, 
			{pos = 218},
			{pos = 230, caption = "Attack Power", field = "data.stats.power", class = {true, true, false, false}}, 
			{pos = 250, caption = "Attack Crit", field = "data.stats.crit", class = {true, true, false, false}}, 
			{pos = 270, caption = "Crit Power", field = "data.stats.critpower", class = {true, true, true, true}}, 
			{pos = 290, caption = "Hit", field = "data.stats.hit", class = {true, true, true, true}},
			{pos = 230, caption = "Spell Power", field = "data.stats.power", class = {false, false, true, true}}, 
			{pos = 250, caption = "Spell Crit", field = "data.stats.crit", class = {false, false, true, true}}
		}, buffs = {
			{pos = 0, caption = "Earth Resistance ", field = "data.stats.resistEarth", icon = "resistEarth"}, 
			{pos = 20, caption = "Air Resistance ", field = "data.stats.resistAir", icon = "resistAir"}, 
			{pos = 40, caption = "Fire Resistance ", field = "data.stats.resistFire", icon = "resistFire"}, 
			{pos = 60, caption = "Water Resistance ", field = "data.stats.resistWater", icon = "resistWater"}, 
			{pos = 80, caption = "Life Resistance ", field = "data.stats.resistLife", icon = "resistLife"}, 
			{pos = 100, caption = "Death Resistance ", field = "data.stats.resistDeath", icon = "resistDeath"}, 
--			{pos = 120, offset = true, caption = "Chest", field = "data.equipment.chest.{resistance}"}, 
--			{pos = 140, offset = true, caption = "Shoulders", field = "data.equipment.shoulders.{resistance}"}, 
--			{pos = 160, offset = true, caption = "Sigil", field = "data.equipment.sigil.{resistance}.item"}, 
--			{pos = 180, offset = true, caption = "Sigil rune", field = "data.equipment.sigil.{resistance}.rune"}, 
--			{pos = 180, offset = true, caption = "Vial", field = "buff.vial.value", resistance = "buff.vial.resistance"}
		}},

		Colors = {
			class = {{1, 1, 1}, {.8, .1, .1}, {.9, .8, 0}, {.5, .8, 0}, {.7, .3, .8}},
			grade3 = {{1, 1, 1}, {.9, .8, 0}, {.8, .1, .1}},
			grade2 = {{1, 1, 1}, {.8, .1, .1}},
		},

		TablePlane= {{Rows = {}, Columns = {
			{headerName = "Player",		headerX = 2,	fieldName = "name",					fieldX = 20,	fieldAlign = "TOPLEFT",		fieldType = 0,	draw = function(control, data) control:SetText(data.name) control.SetColor(RaidExtension.AE.Colors.class[data["props.class"]]) end},
			{headerName = "AP/SP",		headerX = 125,	fieldName = "data.stats.power",				fieldX = 165,	fieldAlign = "TOPRIGHT",	fieldType = 0},
			{headerName = "AC/SC",		headerX = 178,	fieldName = "data.stats.crit",				fieldX = 220,	fieldAlign = "TOPRIGHT",	fieldType = 0},
			{headerName = "CP",		headerX = 237,	fieldName = "data.stats.critpower",			fieldX = 264,	fieldAlign = "TOPRIGHT",	fieldType = 0},
			{headerName = "Hit",		headerX = 283,	fieldName = "data.stats.hit",				fieldX = 310,	fieldAlign = "TOPRIGHT",	fieldType = 0},
			{headerName = "Health",		headerX = 328,	fieldName = "props.health",				fieldX = 375,	fieldAlign = "TOPRIGHT",	fieldType = 0},
			{headerName = "Enchant",	headerX = 440,	fieldName = "buff.enchant.remaining",			fieldX = 460,	fieldAlign = "TOPCENTER",	fieldType = 2,	fieldWidth = 110,	draw = function(control, data) control.icon:SetTexture("Rift", data["buff.enchant.icon"]) control.val:SetText(RaidExtension.Utils.GetTime(data["buff.enchant.remaining"])) control.valExt:SetText("+" .. data["buff.enchant.value"] .. data["buff.enchant.short"]) control.val.SetColor(RaidExtension.AE.Colors.grade2[iif(data["buff.enchant.remaining"] > 600, 1, 2)]) control.valExt.SetColor(RaidExtension.AE.Colors.grade2[data["buff.enchant.quality"]]) end},
			{headerName = "Vial",		headerX = 555,	fieldName = "buff.vial.remaining",			fieldX = 573,	fieldAlign = "TOPCENTER",	fieldType = 1,	fieldWidth = 52,	draw = function(control, data) control.icon:SetTexture("Rift", data["buff.vial.icon"]) control.val:SetText(RaidExtension.Utils.GetTime(data["buff.vial.remaining"])) control.val.SetColor(RaidExtension.AE.Colors.grade2[iif(data["buff.vial.remaining"] > 600, 1, 2)]) end},
			{headerName = "Food",		headerX = 625,	fieldName = "buff.food.remaining",			fieldX = 645,	fieldAlign = "TOPCENTER",	fieldType = 1,	fieldWidth = 52,	draw = function(control, data) control.icon:SetTexture("Rift", data["buff.food.icon"]) control.val:SetText(RaidExtension.Utils.GetTime(data["buff.food.remaining"])) control.val.SetColor(RaidExtension.AE.Colors.grade2[iif(data["buff.food.remaining"] > 600, 1, 2)]) end},
			{headerName = "Resist",		headerX = 705,	fieldName = "data.stats.resistance.value",		fieldX = 725,	fieldAlign = "TOPCENTER",	fieldType = 1,	fieldWidth = 58,	draw = function(control, data) control.icon:SetTexture(Addon.identifier, "img/" .. data["data.stats.resistance.id"] .. ".png") control.val:SetText(tostring(data["data.stats.resistance.value"])) end},
			{headerName = "Planar",		headerX = 780,	fieldName = "props.planar",				fieldX = 802,	fieldAlign = "TOPCENTER",	fieldType = 0,	draw = function(control, data) control:SetText(data["props.planar"] .. "/" .. data["props.planarMax"]) control.SetColor(RaidExtension.AE.Colors.grade2[iif(data["props.planar"] > 0, 1, 2)]) end},
			{headerName = "Vitality",	headerX = 840,	fieldName = "props.vitality",				fieldX = 865,	fieldAlign = "TOPCENTER",	fieldType = 0,	draw = function(control, data) control:SetText(data["props.vitality"] .. "%") control.SetColor(RaidExtension.AE.Colors.grade3[iif(data["props.vitality"] > 50, 1, iif(data["props.vitality"] > 20, 2, 3))]) end}
		}}}
	},
	Storage = {
		Identifier = "raidext",
		SendTimer = 0,
		IDs = {},
		Event = {}
	},
	Meta = {},
	GUI = {
		LinkColors = {{.8, .8, .8}, {1, 1, 1}, {.8, .7, 0}, {1, 1, 0}}
	},
	EGUI = {},
	Tooltip = {},
	Utils = {}
}