function RaidExtension.Storage.Update()
	if Inspect.Time.Real() - RaidExtension.Storage.SendTimer > 4 then
		RaidExtension.Storage.SendTimer = Inspect.Time.Real()
		RaidExtension.Storage.SendData()
	end
end

function RaidExtension.Storage.SendData()
	pcall(Command.Storage.Set, "player", RaidExtension.Storage.Identifier, "guild", "private", RaidExtension.Utils.Deflate(RaidExtension.Meta.GetData()), RaidExtension.Storage.SendDataCallback)
end

function RaidExtension.Storage.RetrieveData(unitName)
	if unitName and (RaidExtension.Storage.IDs[unitName] == nil or Inspect.Time.Real() - RaidExtension.Storage.IDs[unitName] > 10) then 
		RaidExtension.Storage.IDs[unitName] = Inspect.Time.Real()
		pcall(Command.Storage.Get, unitName, "player", RaidExtension.Storage.Identifier, RaidExtension.Storage.RetrieveDataCallback)
	end
end

function RaidExtension.Storage.ReceivedData(target, segment, identifier, read, write, data)
	if segment == "player" and identifier == RaidExtension.Storage.Identifier and data then
		RaidExtension.Storage.IDs[target] = nil
		local status, result = pcall(RaidExtension.Utils.Inflate, data)
		if status then
			RaidExtension.Storage.Event.ReceiveData(target, result)
		end
	end
end

function RaidExtension.Storage.SendDataCallback(failure, message)
end

function RaidExtension.Storage.RetrieveDataCallback(failure, message)
end
